﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace BalleQuiSuitCourbe
{
 public partial class Page : UserControl
 {
  public Page()
  {
   InitializeComponent();
  }
  int N;
  void stb_Completed(object sender, EventArgs e)
  {
   if (N < rc.Children.Count)
   {
   StartElementaryAnimation(N);
   N++;
   }
  }
  void StartElementaryAnimation(int n)
  {
   Line li = rc.Children[n] as Line;
   if (li != null)
   {
    daX.From = li.X1 - ball.Width / 2; daX.To = li.X2 - ball.Width / 2;
    daY.From = li.Y1 - ball.Width / 2; daY.To = li.Y2 - ball.Width / 2;
    N++;
    stb.Begin();
   }
  }
  bool bDrawing;
  double xPrevPt, yPrevPt;
  void rc_MouseLeftButtonDown(object sender, MouseEventArgs e)
  {
   rc.Children.Clear();
   bDrawing = true;
   xPrevPt = e.GetPosition(rc).X;  // retenir le point précédent
   yPrevPt = e.GetPosition(rc).Y;
   ball.Opacity = 0;
  }
  void rc_MouseLeftButtonUp(object sender, MouseEventArgs e)
  {
   bDrawing = false;
   N = 0;
   ball.Opacity = 1;
   StartElementaryAnimation(N);
  }
  void rc_MouseMove(object sender, MouseEventArgs e)
  {
   if (bDrawing)
   {
    Line li = new Line();
    double xCurPt = e.GetPosition(rc).X;
    double yCurPt = e.GetPosition(rc).Y;
    li.X1 = xPrevPt; li.Y1 = yPrevPt;
    li.X2 = xCurPt; li.Y2 = yCurPt;
    li.Stroke = new SolidColorBrush(Colors.Red); li.StrokeThickness = 2;
    rc.Children.Add(li);
    xPrevPt = xCurPt; yPrevPt = yCurPt;
   }
  } 
 }
}
